petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFCreateInverseSF

given a PetscSF in which all vertices have degree 1, creates the inverse map

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateInverseSF(PetscSF sf,PetscSF *isf)

Collective

### Input Arguments

sf -star forest to invert

### Output Arguments

isf -inverse of sf

### Notes

All roots must have degree 1.

The local space may be a permutation, but cannot be sparse.

### See Also

PetscSFSetGraph()

### Level

advanced

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages